## Typing stubs for assertpy

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`assertpy`](https://github.com/assertpy/assertpy) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `assertpy`. This version of
`types-assertpy` aims to provide accurate annotations for
`assertpy==1.1.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/assertpy`](https://github.com/python/typeshed/tree/main/stubs/assertpy)
directory.

This package was tested with
mypy 1.15.0,
pyright 1.1.400,
and pytype 2024.10.11.
It was generated from typeshed commit
[`a46eea77e3c5afdaa9d02a2caf17a7375547164c`](https://github.com/python/typeshed/commit/a46eea77e3c5afdaa9d02a2caf17a7375547164c).